/**
  *  \file client/tiles/histmovement.h
  *  \brief WHistoryShipMovementTile tile
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_HISTMOVEMENT_H
#define PCC_V2_CLIENT_TILES_HISTMOVEMENT_H

#include "client/screens/histscreen.h"
#include "client/wtile.h"
#include "cpluslib/sigslot.h"

/** Display a ship's turn movement. When associated with a
    WHistoryObjectType, this displays the movement from the turn
    chosen in that type; otherwise, displays the current turn's
    movement. */
class WHistoryShipMovementTile : public WObjectSelectionObserverTile {
    SignalConnection conn_turn;
    WHistoryObjectSelection* hos;
 public:
    WHistoryShipMovementTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
