/**
  *  \file gfx/gfxcompl.h
  *  \brief Complex Graphics Primitives built atop the others
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GFX_GFXCOMPL_H
#define PCC_V2_GFX_GFXCOMPL_H

#include "gfx/gfx.h"

class GfxContext;

void drawHLine(GfxContext& ctx, int x1, int y1, int x2);
void drawVLine(GfxContext& ctx, int x1, int y1, int y2);
void drawLine(GfxContext& ctx, const GfxPoint p1, const GfxPoint p2);
void drawLineTo(GfxContext& ctx, const GfxPoint pt);
void drawLineRel(GfxContext& ctx, int dx, int dy);
void drawCircle(GfxContext& ctx, const GfxPoint pt, int r);
void drawFilledCircle(GfxContext& ctx, const GfxPoint pt, int r);
void drawBar(GfxContext& ctx, int x1, int y1, int x2, int y2);
void drawBar(GfxContext& ctx, const GfxRect& r);
void drawSolidBar(GfxContext& ctx, const GfxRect& r, uint32_t color);
void drawSolidBar(GfxCanvas& can, const GfxRect& r, uint32 color);
void drawRectangle(GfxContext& ctx, const GfxRect& r);
void drawArrow(GfxContext& ctx, const GfxPoint p1, const GfxPoint p2, int ptsize);
void drawPixel(GfxContext& ctx, const GfxPoint pt);
void drawBackground(GfxContext& ctx, const GfxRect& r);

#endif
